Name:           spicctrl
Version:        1.9
Release:        8%{?dist}
Summary:        Sony Vaio laptop SPIC control program

Group:          Applications/System
License:        GPLv2+
URL:            http://popies.net/sonypi/
Source0:        http://popies.net/sonypi/spicctrl-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:	%{ix86} x86_64

%description
spicctrl queries and sets a variety of parameters on Sony Vaio laptop
computers, including AC Power status, battery status, screen brightness,
and bluetooth device power status


%prep
%setup -q
%{__sed} -i 's/ -O2 / $(RPM_OPT_FLAGS) /' Makefile


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m755 spicctrl $RPM_BUILD_ROOT%{_sbindir}
install -p -m644 spicctrl.1 $RPM_BUILD_ROOT%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ ! -c /dev/sonypi ]; then
	rm -f /dev/sonypi
	mknod /dev/sonypi c 10 250
fi
if [ -e /etc/modprobe.conf ]; then
	grep 'alias char-major-10-250 sonypi' /etc/modprobe.conf > /dev/null
	RETVAL=$?
	if [ $RETVAL -ne 0 ]; then
		echo 'alias char-major-10-250 sonypi' >> /etc/modprobe.conf
		echo 'options sonypi minor=250' >> /etc/modprobe.conf
	fi
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE
%{_sbindir}/spicctrl
%{_mandir}/man1/spicctrl.1.gz


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Michel Salim <salimma@fedoraproject.org> - 1.9-7
- Enable x86_64 build

* Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9-7
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9-6
- Autorebuild for GCC 4.3

* Mon Nov 13 2006 Michel Salim <michel.salim@gmail.com> 1.9-5
- Rebuild for Fedora Extras 6

* Sat May 20 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.9-4
- Respect $RPM_OPT_FLAGS (also fixes debuginfo), use correct
  man page permissions (Ville Skyttä)

* Tue Feb 14 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.9-3
- Rebuild for Fedora Extras 5

* Tue Jan 31 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.9-2
- Bumped release to a proper integer

* Sun Jan 08 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.9-1.4
- Add %%{?dist} tag

* Mon Dec 26 2005 Roozbeh Pournader <roozbeh@farsiweb.info> 1.9-1.3
- Change ExclusiveArch to %%{ix86}

* Mon Dec 26 2005 Roozbeh Pournader <roozbeh@farsiweb.info> 1.9-1.2
- Add ExclusiveArch

* Thu Dec 22 2005 Roozbeh Pournader <roozbeh@farsiweb.info> 1.9-1.1
- First revision, based on upstream spec file
